2017.6.08
 

WebSphere Application Server 9.0(WAS9.0)のグループPTFがない

Question

WAS9.0を導入しようと思うのですが、WAS9.0のグループPTFが見つかりません。WAS8.5やWAS8.0用のグループPTFはあるのですが、どのOSバージョンを探してもWAS9.0用のグループPTFは見つからないのです。IBM iはWAS用のグループPTFを適用して、そのPTFの中に入っているFixpackを後からコマンドでインストールする手順だと理解しています。WAS9.0のIBM i用のFixは存在しないということですか。それとも、WAS9.0自体がIBM iにまだ対応していないということでしょうか。

Answer

WAS9.0から、fixpackはそのままfixpackとしてダウンロードサイト(FixCentral)より入手し、適用することとなりました。そのため、WAS9.0用のグループPTFはありません。WAS9.0の対応OSバージョンについては、WAS9.0の「IBM iのソフトウェア要件」に記載があります。2017年6月現在、V7R1、V7R2、V7R3の3つが記載されています。

WAS9.0用のグループPTFはありませんが、グループPTFは一切適用しなくて良いというわけではありません。累積、Hiper、DB2の3つのグループPTFは最新のものが推奨されます(Recommended Fixesに記載あり)。また、WAS8.5までのWAS用グループPTFの中にはJava、DB2、HTTPのグループPTFが含まれているので、それらの適用も検討したほうが良いでしょう。

また、WAS9.0はJava8で動きます。IBM i7.1および7.2ではJava8(xxxx-JV1オプション16および17)は出荷時ライセンスメディアに含まれておりませんので、ESS(Entitled Software Support  https://www-304.ibm.com/servers/eserver/ess/ProtectedServlet.wss)よりダウンロードし適用する必要があります。IBM i 7.3ではJava8はライセンスメディアのB_GROUPx_05に含まれています。

WAS9.0 IBM iシステムのインストール準備
(下部フィックスパックの項目にグループPTFに関する説明あり)
こちら

WAS9.0 IBM iの前提条件
こちら

Recommend Fixes OS7.1対応全てのWAS向け
http://www-01.ibm.com/support/docview.wss?uid=nas8N1020433
Recommend Fixes OS7.2対応全てのWAS向け
http://www-01.ibm.com/support/docview.wss?uid=nas8N1021562
Recommend Fixes OS7.3対応全てのWAS向け
http://www-01.ibm.com/support/docview.wss?uid=nas8N1021235

ページトップ

ボタン